UUWHO(1)

NAME
uuwho - show map entry for a site

SYNOPSIS
uuwho [ -r ] [ -d dbmfile ] [ sitename ] ...
uuwho -i [ -d dbmfile ] mapfile ...

DESCRIPTION
Uuwho without the -i option extracts the map entry for each given sitename. The output provides labels for the site entry and includes all the connection information as determined by the UUCP mapping project. By default, uuwho extracts a map for the local site where the local sitename is determined in a system dependent fashion.

-i  If the option -i is given, then map info will be added to a dbm(3X)-style database, rather than printing info about a site. This information is then available for use by subsequent uuwho commands.

-d dbmfile
    This option specifies the basename for a dbm database is to be used for this operation. If dbmfile begins with a ``/'' or ``.'', then it is taken to be the actual database name, otherwise it is assumed to be a file under the directory /var/lib/smail. If the -d option is not given, then dbmfile defaults to /var/lib/smail/uuwho.

-r  If the option -r is given, then raw map entries are printed. Without this option, recognized #letter lines are listed in a more symbolic form.

Each mapfile file is scanned for lines of the form:
    #N sitename
    #N sitename1, sitename2, ...
indicating that a new map is starting. In the second form, each sitename is considered to belong to the map that follows. Sitenames listed on such lines become the sitename keywords which are available for subsequent requests.

A mapfile of - indicates that a map should be read from standard input. Lines of the form:
    file { filename }
indicate that the line following should be considered as if it were the first line of the stated file.

EXAMPLES
uuwho walldrug hoptoad
uuwho -d other_dbm
find /var/spool/uumaps -name '[ud].*' -print |
while read file; do
    echo "file { $file }"
    cat $file
done | uuwho -i -

FILES

dbmfile.pag, dbmfile.dir
    The two parts of a dbm database, when the DBM library is used to store the database. The .pag file contains the keys and data associated with the database, while the .dir file contains information that affects the hashing algorithm used to determine which block contains a particular value.

/var/lib/smail/uuwho
    The basename for the default dbm database files. If the DBM library is not used, then this is the name used to store the default database, as a sorted file.

SEE ALSO
pathto(1), dbm(3X), and pathalias(8).

BUGS
If a site has more than one map entry only the latter entry is shown.

The information available for a site may not be current.

Only sites marked via #N in the map database are listed. Normally, sites listed under a domain will not be marked using #N. In this case the domain, including the dot but excluding the machine name must be used.